/** ****************************************************************************
 *   GxFreeGUI
 *    Module: Drawbox
 *    Author: Jan Szemiet
 *    Version: 0.1
 *  ****************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "graphicObjectTypes.h"

/* Exported functions ------------------------------------------------------- */
GL_ErrStatus ClearDrawbox (GL_PageControls_TypeDef* pObj);
void Draw_Point(GL_PageControls_TypeDef* pControl, uint16_t x, uint16_t y);
GL_PageControls_TypeDef* NewDrawbox (uint16_t ID, uint16_t Width, uint16_t Height, void (*pEventHandler)(uint16_t, uint16_t));
void SetCurrentColor(GL_PageControls_TypeDef* pObj, uint16_t color);
GL_ErrStatus SetDrawboxVisible (GL_PageControls_TypeDef* pObj, GL_Coordinates_TypeDef objCoordinates);
